Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.view.client
Interface TreeViewModel

    public interface TreeViewModel

A model of a tree.

Nested Class Summary
`static class` | `TreeViewModel.DefaultNodeInfo<T>` Default implementation of `TreeViewModel.DefaultNodeInfo`.
`static interface` | `TreeViewModel.NodeInfo<T>` The info needed to create the children of a tree node.

Method Summary
`
`<T> TreeViewModel.NodeInfo<?>`
` | `getNodeInfo(T value)` Get the `TreeViewModel.DefaultNodeInfo` that will provide the `ProvidesKey`, `Cell`, and `HasData` instances to retrieve and display the children of the specified value.
`boolean` | `isLeaf(java.lang.Object value)` Check if the value is known to be a leaf node.

Method Detail

### getNodeInfo

    <T> TreeViewModel.NodeInfo<?> getNodeInfo(T value)

  Get the `TreeViewModel.DefaultNodeInfo` that will provide the `ProvidesKey`, `Cell`, and `HasData` instances to retrieve and display the children of the specified value.

  Parameters:
    `value` - the value in the parent node
  Returns:
    the `TreeViewModel.DefaultNodeInfo`

### isLeaf

    boolean isLeaf(java.lang.Object value)

  Check if the value is known to be a leaf node.

  Parameters:
    `value` - the value at the node
  Returns:
    true if the node is known to be a leaf node, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD